Package org.bukkit.entity

# Interface Sittable

All Known Subinterfaces:
  `Cat`, `Fox`, `Parrot`, `Wolf`

public interface Sittable
An animal that can sit still.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isSitting()`
Checks if this animal is sitting
`void`
`setSitting(boolean sitting)`
Sets if this animal is sitting.

## Method Details

### isSitting

boolean isSitting()
Checks if this animal is sitting

Returns:
  true if sitting

### setSitting

void setSitting(boolean sitting)
Sets if this animal is sitting. Will remove any path that the animal was following beforehand.

Parameters:
  `sitting` - true if sitting